<ion-header>
  <div class="ms-chat-header">
      <p class="ms-home-header">
          {{ event.name }}
      </p>
      <p class="ms-info">
          <i class="fas fa-calendar-day ms-text-teal"></i> {{ event.targetDateTime | date }} &nbsp;&nbsp;&nbsp;<i class="fas fa-coins ms-text-teal"></i> {{ event.budget | currency:'PHP ' }} budget
      </p>
      <!-- <hr /> -->
  </div>
</ion-header>

<ion-content #content>
<div class="ms-mob-body ms-home ms-chat-body">
  <div class="row ms-home-body">
      <div class="ms-home-body-content ms-full-width">
          <ng-container *ngIf="chat">
              <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)" [disabled]="disableInfiniteScroll">
                  <ion-refresher-content pullingIcon="arrow-dropdown"
                                         pullingText=""
                                         refreshingSpinner="circles"
                                         refreshingText="">
                  </ion-refresher-content>
              </ion-refresher>
              <div class="chat">
                  <div class="msg" *ngFor="let msg of (chat.messages); trackBy: trackByCreated; let i = index">
                      <div *ngIf="msg?.user" class="chat-content-container">
                          <div class="user">
                              <p class="chat-vendor">
                                  {{ msg.content }}
                                  <br />
                                  <span>{{ msg.createdAt | date: 'MMM dd,yyy h:mm a' }}</span>
                              </p>
                              <span *ngIf="msg?.isSeenByVendor" style="font-size: 8px;">seen</span>
                          </div>
                      </div>
                      <div *ngIf="msg?.vendor" class="chat-content-container">
                          <div class="vendor" style="display: flex; justify-content: flex-end;">
                              <p>
                                  {{ msg.content }}
                                  <br />
                                  <span>{{ msg.createdAt | date: 'MMM dd,yyy h:mm a' }}</span>
                              </p>
                          </div>
                      </div>
                  </div>
              </div>
          </ng-container>
      </div>
  </div>
</div>


</ion-content>
<ion-footer>
    <div class="ms-home-bottombar ms-scheme-bottombar ms-chat-bottombar">
        <div class="form ms-chat-formbox">
            <input class="ms-chat-input" [(ngModel)]="newMsg" (keydown.enter)="submit()" (focus)="focusFunction()">
            <button class="ms-chat-send" (click)="submit()">Send</button>
        </div>
        <div class="row ms-bottom-toolbar">
            <div class="col-sm ms-bottom-toolbar-tool">
                <span>
                    <a (click)="goBackToPage()">
                        <i class="ms-Icon ms-Icon--Back"></i>
                    </a>
                </span>
            </div>
        </div>
    </div>
</ion-footer>
